I updated all my Python modules using pip and now I keep getting an ImportError from the 'collections' module. Any fixes to this issue?

This page summarizes the projects mentioned and recommended in the original post on reddit.com/r/learnpython

Our great sponsors
  • JetBrains - Developer Ecosystem Survey 2022
  • SonarLint - Deliver Cleaner and Safer Code - Right in Your IDE of Choice!
  • Scout APM - Less time debugging, more time building
  • gmapsapiscanner

    I am trying to run this script: https://github.com/ozguralp/gmapsapiscanner/blob/master/maps_api_scanner_python3.py

  • urllib3

    Python HTTP library with thread-safe connection pooling, file post support, user friendly, and more.

    You have somehow installed an extremely old version of urllib3. It looks like the selectors module was deleted in 2018.

  • JetBrains

    Developer Ecosystem Survey 2022. Take part in the Developer Ecosystem Survey 2022 by JetBrains and get a chance to win a Macbook, a Nvidia graphics card, or other prizes. We’ll create an infographic full of stats, and you’ll get personalized results so you can compare yourself with other developers.

NOTE: The number of mentions on this list indicates mentions on common posts plus user suggested alternatives. Hence, a higher number means a more popular project.

Suggest a related project

Related posts